Issue 59275 - After using first time the dictionary wizard stops working
After using first time the dictionary wizard stops working
Status: CLOSED FIXED
Product: Writer
Classification: Application
Component: configuration
OOo 2.0
All Windows XP
: P3 trivial (vote)
: ---
Assigned To: maison.godard
issues@sw
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-13 10:31 UTC by ag255
Modified: 2013-08-07 14:43 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
patch correcting the target file (428 bytes, patch)
2006-05-06 10:17 UTC, maison.godard
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description ag255 2005-12-13 10:31:51 UTC
This issue was reported in issue 30537, but this issue has been closed.

I installed OOo2.0 on a WinXP station.  I then selected the Dictionary
installation wizard to install UK English.  When running the wiard this advised
that there was an updated version available for download.  I selected to
download this to c:\temp.

Upon reopening the the dictionary wizard I receive a new Open Office document
with C:\temp\DicOOo-1.5.5.sxw written on the first line.  If I manually run
DicOOo-1.5.5.sxw the wizard program opens and works as expected.

I went to the /share/dict/ooo directory and found that the DicOOo.lst simply
contained the line c:\temp\DicOOo-1.5.5.sxw.  I thought I would test to see if
it was just the structure of the file that was stopping this from running so I
copied the FontOOo.lst file and renamed it to DicOOo.lst and ran the wizard

This time another open office text document (rather than the font wizard) opened
with the following text on the first line
file:///C:/Program%20Files/OpenOffice.org%202.0/program/../share/dict/ooo/FontOOo.sxw

I also tried this altering the text to end DicOOo-1.5.5.sxw and DicOOo.sxw, but
in both cases this failed to run the wizard and just diaplyed a text document.

It appears that there is an additional process other than the reading of the
.lst file that allows the wizard to run.
Comment 1 michael.ruess 2005-12-13 11:25:03 UTC
Reassigned to SBA.
Comment 2 maison.godard 2006-05-06 09:58:26 UTC
taking it
Comment 3 maison.godard 2006-05-06 10:01:14 UTC
The launcher macro is wrong - the creation of users/wordbook/DicOOo.lst file
should generate a pointer on share/dict/ooo/DicOOo.sxw file and not .lst
Comment 4 maison.godard 2006-05-06 10:17:39 UTC
Created attachment 36292 [details]
patch correcting the target file
Comment 5 maison.godard 2006-05-06 11:17:47 UTC
will be cws dicooo02

to test
delete <oooUser>/user/wordbook/DicOOo.lst if exists
launch OOo
file > wizard > install dictionaries
edit <oooUser>/user/wordbook/DicOOo.lst
should point on DicOOo.sxw file and NOT DicOOo.lst
Comment 6 pavel 2006-05-08 09:15:12 UTC
really fixed in dicooo2.
Comment 7 pavel 2006-05-08 09:19:08 UTC
Verified in dicooo2
Comment 8 Mathias_Bauer 2007-02-05 13:58:18 UTC
closing ancient issues